from argparse import ArgumentParser
from pathlib import Path
from nkf import nkf
from tjaf import Tja
from requests import post

def app():
    parser = ArgumentParser()
    parser.add_argument('folder', help='Folder path to process')
    args = parser.parse_args()

    folder = Path(args.folder)
    for tja in folder.rglob("*.tja"):
        tja_data = tja.read_bytes()
        tja_text = nkf("-wd", tja_data).decode("utf-8")
        wave_str = Tja(tja_text).common_headers["WAVE"].as_str()
        wave = tja.parent / Path(wave_str)

        if wave.is_file():
            res = post("https://taikoapp.uk/upload", files={
                "file_tja": tja_data,
                "file_music": wave.read_bytes(),
            })
            res.raise_for_status()
            print(tja, wave)
            print(str(res.status_code) + ":", res.text)

if __name__ == "__main__":
    app()
